Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] ("A. Phillip Smith")

11 Feb 1997 21:18:02 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Fergus Henderson)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Fergus Henderson" at Feb 11, 97 08:03:36 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

The issue/problem with Cygnus is that clarification on licensing terms 
were not issued until in the more recent distributions. Moreover, the full
license costs are STILL not announced. It is difficult to make product
decisions without knowing if there is a one time license of $5,000 or
if it with be $50,000 annually, or a steep per-license royalty. Cygnus'
position on this will determine the near-term of anything requiring or
shipping with their DLLs. As it stands, Cygnus seems to  be using the Data 
Focus approach to licensing, which may turn pregnant possibilities to
still-births, and ensure that cygwin32 never enjoys the ubiquitous use they 
envision. Too bad.

> 
> Paul Shirley, you wrote:
> > 
> > Jim Balter <[email-masked]> writes
> > >> Unfortunently what they are
> > >> saying is only they can make money from this effort.
> > 
> > No. What they are saying is you can make money under the LGPL licence
> > terms *or* pay them some money for normal commercial terms (ie no
> > source/object distribution required)
> 
> That's correct, except that the cygwin library is available under GPL
> terms, not LGPL terms.  That is quite a significant difference.  If it
> were LGPL'd, then you could use cygwin without having to release source
> to your application, but you can't do that under the GPL.  So the
> current situation is that if you want to use the cygwin library, and
> you don't want to release source, then you have to pay Cygnus for a
> commercial license.
> 
> -- 
> Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
> WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
> PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".